:root {
  --g-ff-primary: quatro-slab, serif;
  --g-ff-secondary: noto-serif, georgia, serif;
	--g-ff-fallback: serif;
	--g-fw-regular: 400;
	--g-fw-medium: 500;
	--g-fw-semibold: 600;
	--g-fw-bold: 700;
	--g-fz-base: 16px;
	--g-text-color: #ffffff;
  --g-text-color-dark: #212121;
  --g-link-color: #0B5E90;
	--g-bg-primary: #178295;
  --g-bg-header: #fff;
  --g-bg-footer: #404040;
  --g-bg-button: #0F72A5;
  --g-bg-button-hover: #ECEEEE;
  --g-bg-button-text: #ffffff;
  --g-bg-button-text-hover: #212121;
	--g-content-width: 1200px;
}

/* Reset some default browser styles */
*, *::after, *::before {
  box-sizing: border-box;
}
* {
  font: inherit;
  margin: 0;
  padding: 0;
  border: 0;
}
body {
  background-color: var(--g-bg-body, white);
}
html,
body {
	height: 100%;
}
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section, main, form legend {
	display: block;
}
ol, ul, menu {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
img, video, svg {
	height: auto;
	max-width: 100%;
}
embed,
iframe,
object {
	max-width: 100%;
}

/* Custom Coming Soon Styles */
body {
  font-family: var(--g-ff-fallback);
  font-size: var(--g-fz-base);
  background-color: var(--g-bg-primary);
  color: var(--g-text-color);
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  margin: 0;
  overflow: hidden;
}

.fonts-loaded body {
  font-family: var(--g-ff-secondary);
}

.container {
  position: relative;
  width: 100%;
  height: 100vh;

  min-block-size: 100vh;
  min-block-size: 100dvh;
  display: grid;
  grid-template-rows: auto 1fr auto;

  grid-template-areas:
    "header"
    "main"
    "footer";
}

.ps-inner {
  max-width: var(--g-content-width);
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  gap: 1.25rem;
}

.ps-header {
  grid-area: header;
  background-color: var(--g-bg-header);
  padding: 1.25rem;
}

.ps-footer {
  grid-area: footer;
  background-color: var(--g-bg-footer);
  padding: 1.25rem;
}
.ps-footer .ps-inner {
  align-items: center;
}

.ps-main {
  background-image: url('images/bg-shape.svg');
  background-repeat: no-repeat;
  background-size: contain;
  background-position: left bottom;
  grid-area: main;
  padding: 1.25rem;
}

.ps-main .ps-inner {
  align-items: center;
  height: 100%;
}

.flex-content {
  background-color: #ffffff;
  color: var(--g-text-color-dark);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 30px 60px;
  width: 60%;
}

.text-component {
  width: 50%;
  max-width: 780px;
  text-align: center;
}
.text-component a:link,
.text-component a:visited {
  color: var(--g-link-color);
  text-decoration: underline;
}
.text-component a:hover,
.text-component a:active {
  text-decoration: none;
}

h1 {
  font-family: var(--g-ff-primary);
  font-size: 2rem;
  font-weight: var(--g-fw-bold);
  line-height: 1.25;
  margin-bottom: 30px;
}

p {
  font-family: var(--g-ff-secondary);
  font-size: 1.125rem;
  margin-bottom: 20px;
}

p strong {
  font-weight: var(--g-fw-bold);
}

.co-button {
  background-color: var(--g-bg-button);
  border: 1px solid var(--g-bg-button);
  border-radius: 0;
  color: var(--g-bg-button-text);
  font-family: var(--g-ff-primary);
  font-weight: var(--g-fw-bold);
  font-size: 1.125rem;
  padding: 10px 15px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}
.co-button:link,
.co-button:visited {
  text-decoration: none !important;
}
.co-button:hover,
.co-button:active,
.co-button:focus {
  background-color: var(--g-bg-button-hover);
  border: 1px solid #a6b2b1;
  color: var(--g-bg-button-text-hover);
}
.co-button--call {
  background-color: #FFFFFF;
  color: #0F72A5;
  font-size: 1.5rem;
  padding: 14px 18px;
}
.co-button--call:link,
.co-button--call:visited {
  color: var(--g-text-color-dark);
}
.co-button--call:hover,
.co-button--call:active,
.co-button--call:focus {
  background-color: var(--g-bg-button-hover);
  border: 1px solid #a6b2b1;
  color: var(--g-bg-button-text-hover);
}

.logo {
  width: 100%;
  max-width: 378px;
}

.logo > img {
  height: auto;
  object-fit: cover;
  width: 100%;
}

.online-banking {
  background-color: #ECEEEE;
  box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1);
  color: var(--g-text-color-dark);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 30px 60px;
  width: 50%;
}

.co-online_banking--heading {
  color: #212121;
  font-family: var(--g-ff-primary);
  font-size: 1.5rem;
  font-weight: var(--g-fw-bold);
  line-height: 1.25;
  margin-bottom: 30px;
}
.co-online_banking--form {
  display: flex;
  flex-direction: column;
  gap: 10px;
  margin-bottom: 30px;
}
.co-online_banking--input {
  background-color: #FFFFFF;
  border: 2px solid #707070;
  padding: 14px 18px;
}
.co-online_banking--label {
  color: #515151;
  font-size: 1.125rem;
  font-weight: var(--g-fw-bold);
  line-height: 1.25;
}
.co-online_banking--links {
  align-items: center;
  display: flex;
  flex-direction: column;
  gap: 10px;
  margin-bottom: 15px;
}
.co-online_banking--links a {
  color: var(--g-link-color);
  text-decoration: underline;
}
.co-online_banking--links a:hover,
.co-online_banking--links a:active {
  text-decoration: none;
}
.co-online_banking--submit {
  font-size: 1.5rem;
  padding: 20px;
}
.co-online_banking--new_user {
  color: var(--g-text-color-dark);
  font-size: 1.125rem;
  font-weight: var(--g-fw-bold);
  line-height: 1.25;
  text-align: center;
}
.co-online_banking--new_user a {
  color: var(--g-link-color);
  text-decoration: underline;
}

.util-nav {
  font-family: var(--g-ff-primary);
  display: flex;
  gap: 1.25rem;
  align-items: center;
}
.util-nav--link {
  font-size: 1.5rem;
  font-weight: var(--g-fw-bold);
  line-height: 1.25;
}
.util-nav--link:link,
.util-nav--link:visited {
  color: var(--g-link-color);
  text-decoration: none;
}
.util-nav--link:hover,
.util-nav--link:active,
.util-nav--link:focus {
  text-decoration: underline;
}

.icon-svg {
  position: relative;
	display: inline-block;
	width: 24px;
	height: 24px;
	fill: currentColor;
	transform: translate(0, 0);
	transition: all .3s;
}

.routing-number {
  font-family: var(--g-ff-primary);
  font-size: 2rem;
  font-weight: var(--g-fw-semibold);
  line-height: 1.25;
}

.social-list {
  align-items: center;
  display: flex;
  gap: 1.25rem;
  list-style-type: none;
  margin: 0;
  padding: 0;
}
.social-item a:link,
.social-item a:visited {
  color: #ffffff;
}
.social-item a:hover,
.social-item a:active,
.social-item a:focus {
  color: #0F72A5;
}

@media screen and (max-width: 768px) {
  body {
    height: auto;
    overflow: auto;
    overflow-x: clip;
  }
  .ps-inner {
    flex-direction: column;
    align-items: center;
  }
  .ps-main {
    padding: 1.5rem;
  }
  .text-component,
  .online-banking {
    width: 100%;
  }
  .online-banking {
    padding: 1.5rem;
  }

  h1 {
    font-size: 1.5rem;
    margin-bottom: 20px;
  }
  
  p {
    font-size: 1rem;
  }
}

@media screen and (max-width: 430px) {
  .co-button--call {
    font-size: 1.125rem;
    padding: 10px 15px;
  }
  .util-nav {
    flex-direction: column;
    gap: 1rem;
  }
  .util-nav--link {
    font-size: 1.25rem;
  }
  .routing-number {
    font-size: 1.5rem;
    text-align: center;
  }
}